Autorizar IP dedicada
Autorice un BYOH dedicado IP.
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reissue": false
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize"
payload = { "reissue": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reissue: false})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Cuerpo
Cuerpo de solicitud para autorizar una IP dedicada BYOH.
Forzar la reemisión de la clave de configuración aunque ya exista una
Respuesta
Dedicado IP UUID
Nombre IP dedicado visible para el cliente
Estado de aprovisionamiento o ciclo de vida
Tipo de asignación IP dedicada
Número del sistema autónomo para la asignación
Código de país ISO para la asignación
Marca de tiempo de creación
Direcciones públicas en esta asignación
Hide child attributes
Hide child attributes
Dirección pública IP
Si se aprobó el DNS inverso confirmado hacia adelante
Estado de salud actual cuando esté disponible
Invierta el nombre de host DNS cuando esté configurado
Marca de tiempo de la última actualización
¿Esta página le ayudó?
